org.apache.flume.channel.jdbc

## Interface JdbcChannelProvider

- All Known Implementing Classes:
    JdbcChannelProviderImpl

      public interface JdbcChannelProvider

  Service provider interface for JDBC channel providers.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deinitializes the channel provider.
    `Transaction` | `getTransaction()`
    `void` | `initialize(Context context)` Initializes the channel provider.
    `void` | `persistEvent(String channelName, Event event)` Writes the event to the persistent store.
    `Event` | `removeEvent(String channelName)` Removes the next event for the named channel from the underlying persistent store.

- - ### Method Detail

    - #### initialize

          void initialize(Context context)

      Initializes the channel provider. This method must be called before the channel can be used in any way.
      Parameters:
        `context` - the configuration for the system

    - #### close

          void close()

      Deinitializes the channel provider. Once this method is called, the channel provider cannot be used and must be discarded.

    - #### persistEvent

          void persistEvent(String channelName,
                          Event event)

      Writes the event to the persistent store.
      Parameters:
        `channelName` -
        `event` -

    - #### removeEvent

          Event removeEvent(String channelName)

      Removes the next event for the named channel from the underlying persistent store.
      Parameters:
        `channelName` -
      Returns:

    - #### getTransaction

          Transaction getTransaction()

      Returns:
        the transaction associated with the current thread.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.